## org.apache.batik.parser
Class DefaultPreserveAspectRatioHandler

    java.lang.Object
      org.apache.batik.parser.DefaultPreserveAspectRatioHandler

All Implemented Interfaces:
  PreserveAspectRatioHandler

Direct Known Subclasses:
  DefaultFragmentIdentifierHandler

public class DefaultPreserveAspectRatioHandler
extends java.lang.Object
implements PreserveAspectRatioHandler

This class provides an adapter for PreserveAspectRatioHandler.

Field Summary
`static PreserveAspectRatioHandler` `INSTANCE` The only instance of this class.

Constructor Summary
`protected` `DefaultPreserveAspectRatioHandler()` This class does not need to be instantiated.

Method Summary
`void` `endPreserveAspectRatio()` Implements `PreserveAspectRatioHandler.endPreserveAspectRatio()`.
`void` `meet()` Implements `PreserveAspectRatioHandler.meet()`.
`void` `none()` Implements `PreserveAspectRatioHandler.none()`.
`void` `slice()` Implements `PreserveAspectRatioHandler.slice()`.
`void` `startPreserveAspectRatio()` Implements `PreserveAspectRatioHandler.startPreserveAspectRatio()`.
`void` `xMaxYMax()` Implements `PreserveAspectRatioHandler.xMaxYMax()`.
`void` `xMaxYMid()` Implements `PreserveAspectRatioHandler.xMaxYMid()`.
`void` `xMaxYMin()` Implements `PreserveAspectRatioHandler.xMaxYMin()`.
`void` `xMidYMax()` Implements `PreserveAspectRatioHandler.xMidYMax()`.
`void` `xMidYMid()` Implements `PreserveAspectRatioHandler.xMidYMid()`.
`void` `xMidYMin()` Implements `PreserveAspectRatioHandler.xMidYMin()`.
`void` `xMinYMax()` Implements `PreserveAspectRatioHandler.xMinYMax()`.
`void` `xMinYMid()` Implements `PreserveAspectRatioHandler.xMinYMid()`.
`void` `xMinYMin()` Implements `PreserveAspectRatioHandler.xMinYMin()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final PreserveAspectRatioHandler INSTANCE

  The only instance of this class.

Constructor Detail

### DefaultPreserveAspectRatioHandler

    protected DefaultPreserveAspectRatioHandler()

  This class does not need to be instantiated.

Method Detail

### startPreserveAspectRatio

    public void startPreserveAspectRatio()
                                  throws ParseException

  Implements `PreserveAspectRatioHandler.startPreserveAspectRatio()`.

  Specified by:
    `startPreserveAspectRatio` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### none

    public void none()
              throws ParseException

  Implements `PreserveAspectRatioHandler.none()`.

  Specified by:
    `none` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMaxYMax

    public void xMaxYMax()
                  throws ParseException

  Implements `PreserveAspectRatioHandler.xMaxYMax()`.

  Specified by:
    `xMaxYMax` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMaxYMid

    public void xMaxYMid()
                  throws ParseException

  Implements `PreserveAspectRatioHandler.xMaxYMid()`.

  Specified by:
    `xMaxYMid` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMaxYMin

    public void xMaxYMin()
                  throws ParseException

  Implements `PreserveAspectRatioHandler.xMaxYMin()`.

  Specified by:
    `xMaxYMin` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMidYMax

    public void xMidYMax()
                  throws ParseException

  Implements `PreserveAspectRatioHandler.xMidYMax()`.

  Specified by:
    `xMidYMax` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMidYMid

    public void xMidYMid()
                  throws ParseException

  Implements `PreserveAspectRatioHandler.xMidYMid()`.

  Specified by:
    `xMidYMid` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMidYMin

    public void xMidYMin()
                  throws ParseException

  Implements `PreserveAspectRatioHandler.xMidYMin()`.

  Specified by:
    `xMidYMin` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMinYMax

    public void xMinYMax()
                  throws ParseException

  Implements `PreserveAspectRatioHandler.xMinYMax()`.

  Specified by:
    `xMinYMax` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMinYMid

    public void xMinYMid()
                  throws ParseException

  Implements `PreserveAspectRatioHandler.xMinYMid()`.

  Specified by:
    `xMinYMid` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### xMinYMin

    public void xMinYMin()
                  throws ParseException

  Implements `PreserveAspectRatioHandler.xMinYMin()`.

  Specified by:
    `xMinYMin` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### meet

    public void meet()
              throws ParseException

  Implements `PreserveAspectRatioHandler.meet()`.

  Specified by:
    `meet` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### slice

    public void slice()
               throws ParseException

  Implements `PreserveAspectRatioHandler.slice()`.

  Specified by:
    `slice` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

### endPreserveAspectRatio

    public void endPreserveAspectRatio()
                                throws ParseException

  Implements `PreserveAspectRatioHandler.endPreserveAspectRatio()`.

  Specified by:
    `endPreserveAspectRatio` in interface `PreserveAspectRatioHandler`
  Throws:
    `ParseException` - if an error occured while processing the PreserveAspectRatio

Copyright © 2004 Apache Software Foundation. All Rights Reserved.